org.apache.jmeter.timers

## Interface Timer

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    ModifiableTimer
  All Known Implementing Classes:
    BeanShellTimer, BSFTimer, ConstantThroughputTimer, ConstantTimer, GaussianRandomTimer, JSR223Timer, PoissonRandomTimer, PreciseThroughputTimer, RandomTimer, SyncTimer, UniformRandomTimer

      public interface Timer
      extends java.io.Serializable

  This interface defines those methods that must be implemented by timer plugins.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
    `default boolean` | `isModifiable()`

- - ### Method Detail

    - #### delay

          long delay()

      This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
      Returns:
        the computed delay value.

    - #### isModifiable

          default boolean isModifiable()

      Returns:
        true if factor can be applied to it

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.